Imagick does not work with PHP 7.1

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Imagick does not work with PHP 7.1

Postby TomXampp » 02. December 2016 18:23

I've used Imagick successfully with all versions of PHP 7 through 7.0.13. The new version of PHP (7.1) issues the following error message:

[02-Dec-2016 16:46:32 UTC] PHP Warning: PHP Startup: imagick: Unable to initialize module Module compiled with module API=20151012
PHP compiled with module API=20160303 These options need to match in Unknown on line 0


Does anyone know a work-around?
TomXampp
 
Posts: 51
Joined: 12. March 2015 03:58
Operating System: Windows 8.1

Re: Imagick does not work with PHP 7.1

Postby Nobbie » 02. December 2016 21:58

As the message states, you have to find a php_imagick.dll which match the API module ( API=20160303). As php_imagick.dll is not part of Xampp (you must have it copied somewhere else), its on you to find a proper DLL. I think, instead you should ask Bitnami in order to adapt the Imagick API (i dont know, why they did not and i dont know, how they choose certain APIs).
Nobbie
 
Posts: 9683
Joined: 09. March 2008 13:04

Re: Imagick does not work with PHP 7.1

Postby TomXampp » 03. December 2016 02:56

The support for Imagick must have read my post, because an update to their DLLs has now been supplied here:

http://windows.php.net/downloads/pecl/releases/imagick/3.4.3rc1/

...and it now works :-)
TomXampp
 
Posts: 51
Joined: 12. March 2015 03:58
Operating System: Windows 8.1

Re: Imagick does not work with PHP 7.1

Postby Nobbie » 03. December 2016 13:12

Anyway, i think it would be easier if Bitnami includes imagick to their package, you should ask them to do so. Otherwise you will be in trouble each time they upgrade the API information.
Nobbie
 
Posts: 9683
Joined: 09. March 2008 13:04


Return to XAMPP for Windows

Who is online

Users browsing this forum: JJ_Tagy and 72 guests